View Issue Details

IDProjectCategoryView StatusLast Update
06882Bug reportsTheme editorpublic2012-11-21 11:35
Reporterkharec Assigned Tomachaven  
PrioritynormalSeveritypartial_block 
Status closedResolutionfixed 
Product Version2.00+ 
Fixed in Version2.00+ 
Summary06882: Renaming a template lose the parameters of a questionnaire
Description

When a questionnaire is under a template and this template is renamed, the questionnaire is set to default. So the parameter is lost.
The normal behavior should be the preservation of good model, even after renaming it.

Steps To Reproduce
  1. Create a template (a copy of default named default_1)
  2. Create a dummy questionnaire with one question (or more)
  3. Set the questionnaire's template to default_1
  4. Rename the template from default_1 to default_2
  5. See, now our questionnaire have "default" in parameter "Template"
TagsNo tags attached.
Complete LimeSurvey version number (& build)121115
I will donate to the project if issue is resolvedNo
BrowserFirefox 16
Database & DB-VersionMySQL 5.1
Server OS (if known)Debian 6.0.6
Webserver software & version (if known)Apache 2.2.16
PHP Version 5.3.3

Activities

kharec

kharec

2012-11-19 14:01

reporter   ~22319

Maybe an "UPDATE" is missing somewhere, to put the new model name to the survey...

kharec

kharec

2012-11-20 14:03

reporter   ~22331

Last edited: 2012-11-20 15:54

View 2 revisions

I just want to report that this bug still valid for the last stable version (build 121121)

machaven

machaven

2012-11-20 19:21

reporter   ~22350

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=10384

machaven

machaven

2012-11-20 19:23

reporter   ~22351

https://github.com/LimeSurvey/LimeSurvey/commit/2e8cc2b52b23dca057fe6daabf3bc00b50faaf70

machaven

machaven

2012-11-21 11:35

reporter   ~22366

Fix committed to 2.1 branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=10397

Related Changesets

LimeSurvey: master 2e8cc2b5

2012-11-20 17:06:04

machaven

Details Diff
Fixed issue 06882: Renaming a template lose the parameters of a questionnaire Affected Issues
06882
mod - application/controllers/admin/templates.php Diff File

LimeSurvey: 2.1 51c85350

2012-11-20 17:06:04

machaven

Details Diff
Fixed issue 06882: Renaming a template lose the parameters of a questionnaire Affected Issues
06882
mod - application/controllers/admin/templates.php Diff File

LimeSurvey: master 05889db1

2012-11-20 18:21:02

machaven

Details Diff
Merge pull request #54 from machaven/master

Fixed issue 06882: Renaming a template lose the parameters of a questionnaire.
Affected Issues
06882
mod - application/controllers/admin/templates.php Diff File

Issue History

Date Modified Username Field Change
2012-11-15 15:49 kharec New Issue
2012-11-15 16:31 c_schmitz Assigned To => machaven
2012-11-15 16:31 c_schmitz Status new => assigned
2012-11-19 14:01 kharec Note Added: 22319
2012-11-20 14:03 kharec Note Added: 22331
2012-11-20 15:54 kharec Note Edited: 22331 View Revisions
2012-11-20 19:21 machaven Changeset attached => LimeSurvey master 2e8cc2b5
2012-11-20 19:21 machaven Changeset attached => LimeSurvey master 05889db1
2012-11-20 19:21 machaven Note Added: 22350
2012-11-20 19:21 machaven Resolution open => fixed
2012-11-20 19:23 machaven Note Added: 22351
2012-11-20 19:23 machaven Status assigned => closed
2012-11-20 19:23 machaven Fixed in Version => 2.00+
2012-11-21 11:35 machaven Changeset attached => LimeSurvey 2.1 51c85350
2012-11-21 11:35 machaven Note Added: 22366
2015-12-11 14:40 c_schmitz Category Templates => Theme editor